# Zoom Contact Center- February 24, 2023 ## Added - New **Users** APIs: - `POST /v2/contact_center/users/batch` - `DELETE /v2/contact_center/users` - New **Voice Calls** API: - `GET /v2/contact_center/voice_calls` - New **Transfer** webhook events: - `contact_center.engagement_transfer_initiated` - `contact_center.engagement_transfer_queued` - `contact_center.engagement_transfer_reserved` - `contact_center.engagement_transfer_accepted` - `contact_center.engagement_transfer_rejected` - `contact_center.engagement_transfer_completed` - `contact_center.engagement_transfer_canceled` - `contact_center.engagement_transfer_timeout` ## Changed - Added `service_level_threshold_in_seconds`, `service_level_exclude_short_abandoned_calls`, `service_level_exclude_long_abandoned_calls`, `service_level_exclude_abandoned_quit_engagements`, and `service_level_target_in_percentage` fields to Queue APIs: - `GET /v2/contact_center/queues/{queueId}` - `PATCH /v2/contact_center/queues/{queueId}` - Support assign `Agent` role users to queue supervisors in Assign Queue Supervisors API: - `POST /v2/contact_center/queues/{queueId}/supervisors` - Added `transcript_url, playback_url` response fields to Recording APIs: - `GET /v2/contact_center/recordings` - `GET /v2/contact_center/users/{userId}/recordings` - `GET /v2/contact_center/engagements/{engagementId}/recordings` - `GET /v2/contact_center/queues/{queueId}/recordings` - Add support for timezone using the ISO 8601 standard and added `from` and `to` response fields to List Recordings APIs: - `GET /v2/contact_center/recordings` - `GET /v2/contact_center/users/{userId}/recordings` - `GET /v2/contact_center/engagements/{engagementId}/recordings` - `GET /v2/contact_center/queues/{queueId}/recordings` - Added `playback_url` response field to Inboxes APIs: - `GET /contact_center/inboxes/{inboxId}/messages` - `GET /contact_center/inboxes/messages` - Added interval filtering for channel `video`, `chat` and sms to List Historical Queue Reports API: - `GET /v2/contact_center/analytics/historical/queues/metrics` ## Fixed - Fixed an issue where the `results` response field did not return some values and the `consumer_number` query parameter was not filtering properly in the **List historical detail reports** API: - `GET /v2/contact_center/analytics/historical/details/metrics` - Allowed `Agent` role users to be assigned to queue supervisors to **Assign queue supervisors** API: - `POST /v2/contact_center/queues/{queueId}/supervisors`